POE-SAPI-ConfigLoader

Metadata

Analyzed metadata and errors of POE-SAPI-ConfigLoader.

{
   "abstracts_in_pod" : {
      "POE::SAPI::ConfigLoader" : "Perl extension for blah blah blah"
   },
   "author" : "DAEMON",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/POE",
      "lib/POE/SAPI",
      "t",
      "blib",
      "blib/man3",
      "blib/lib",
      "blib/lib/auto",
      "blib/lib/auto/POE",
      "blib/lib/auto/POE/SAPI",
      "blib/lib/auto/POE/SAPI/ConfigLoader",
      "blib/lib/POE",
      "blib/lib/POE/SAPI",
      "blib/man1",
      "blib/arch",
      "blib/arch/auto",
      "blib/arch/auto/POE",
      "blib/arch/auto/POE/SAPI",
      "blib/arch/auto/POE/SAPI/ConfigLoader",
      "blib/bin",
      "blib/script"
   ],
   "dist" : "POE-SAPI-ConfigLoader",
   "easily_repackageable_by_debian" : "no_generated_files",
   "easily_repackageable_by_fedora" : "no_generated_files, fits_fedora_license",
   "error" : {
      "manifest_matches_dist" : [
         "MANIFEST (6) does not match dist (18):",
         "Missing in MANIFEST: Makefile, blib/arch/.exists, blib/arch/auto/POE/SAPI/ConfigLoader/.exists, blib/bin/.exists, blib/lib/POE/SAPI/.exists, blib/lib/POE/SAPI/ConfigLoader.pm, blib/lib/auto/POE/SAPI/ConfigLoader/.exists, blib/man1/.exists, blib/man3/.exists, blib/man3/POE::SAPI::ConfigLoader.3, blib/script/.exists, pm_to_blib",
         "Missing in Dist: "
      ],
      "metayml_is_parsable" : "META.yml was not found",
      "no_abstract_stub_in_pod" : "POE::SAPI::ConfigLoader",
      "no_generated_files" : "pm_to_blib, Makefile",
      "portable_filenames" : [
         "blib/man3/POE::SAPI::ConfigLoader.3"
      ],
      "proper_libs" : "blib/lib/POE/SAPI/ConfigLoader.pm"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 0,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 1,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_pm_to_blib" : 1,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Changes",
      "Makefile.PL",
      "pm_to_blib",
      "MANIFEST",
      "Makefile",
      "lib/POE/SAPI/ConfigLoader.pm",
      "t/POE-SAPI-ConfigLoader.t",
      "blib/man3/.exists",
      "blib/man3/POE::SAPI::ConfigLoader.3",
      "blib/lib/auto/POE/SAPI/ConfigLoader/.exists",
      "blib/lib/POE/SAPI/.exists",
      "blib/lib/POE/SAPI/ConfigLoader.pm",
      "blib/man1/.exists",
      "blib/arch/.exists",
      "blib/arch/auto/POE/SAPI/ConfigLoader/.exists",
      "blib/bin/.exists",
      "blib/script/.exists"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1302692202,
         "size" : 189
      },
      "MANIFEST" : {
         "mtime" : 1302692202,
         "size" : 91
      },
      "Makefile" : {
         "mtime" : 1302765168,
         "size" : 23271
      },
      "Makefile.PL" : {
         "mtime" : 1302692202,
         "size" : 584,
         "used" : [
            "5.010001",
            "ExtUtils::MakeMaker"
         ]
      },
      "README" : {
         "mtime" : 1302692202,
         "size" : 1199
      },
      "blib/arch/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/arch/auto/POE/SAPI/ConfigLoader/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/bin/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/lib/POE/SAPI/.exists" : {
         "mtime" : 1302730045,
         "size" : 0
      },
      "blib/lib/POE/SAPI/ConfigLoader.pm" : {
         "license" : "MIT",
         "module" : "POE::SAPI::ConfigLoader",
         "mtime" : 1302763698,
         "size" : 3466,
         "used" : [
            "5.010001",
            "POE",
            "strict",
            "warnings"
         ]
      },
      "blib/lib/auto/POE/SAPI/ConfigLoader/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/man1/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/man3/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "blib/man3/POE::SAPI::ConfigLoader.3" : {
         "mtime" : 1302765169,
         "size" : 5615
      },
      "blib/script/.exists" : {
         "mtime" : 1302730046,
         "size" : 0
      },
      "lib/POE/SAPI/ConfigLoader.pm" : {
         "license" : "MIT",
         "module" : "POE::SAPI::ConfigLoader",
         "mtime" : 1302763698,
         "size" : 3466,
         "used" : [
            "5.010001",
            "POE",
            "strict",
            "warnings"
         ]
      },
      "pm_to_blib" : {
         "mtime" : 1302765168,
         "size" : 0
      },
      "t/POE-SAPI-ConfigLoader.t" : {
         "mtime" : 1302692202,
         "size" : 494,
         "used" : [
            "Test::More"
         ]
      }
   },
   "got_prereq_from" : "Makefile.PL",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 0,
      "easily_repackageable_by_fedora" : 0,
      "extractable" : 1,
      "extracts_nicely" : 0,
      "fits_fedora_license" : 0,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 0,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "73.17",
      "manifest_matches_dist" : 0,
      "metayml_conforms_to_known_spec" : 0,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 0,
      "metayml_has_provides" : 0,
      "metayml_has_repository_resource" : 0,
      "metayml_is_parsable" : 0,
      "no_abstract_stub_in_pod" : 0,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 0,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 0,
      "proper_libs" : 0,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1302765169,
   "license" : "defined in POD (blib/lib/POE/SAPI/ConfigLoader.pm)",
   "license_file" : "blib/lib/POE/SAPI/ConfigLoader.pm,lib/POE/SAPI/ConfigLoader.pm",
   "license_in_pod" : 1,
   "license_type" : "MIT",
   "licenses" : {
      "MIT" : [
         "blib/lib/POE/SAPI/ConfigLoader.pm",
         "lib/POE/SAPI/ConfigLoader.pm"
      ]
   },
   "manifest_matches_dist" : 0,
   "meta_yml" : {},
   "modules" : [
      {
         "file" : "lib/POE/SAPI/ConfigLoader.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "POE::SAPI::ConfigLoader"
      },
      {
         "file" : "blib/lib/POE/SAPI/ConfigLoader.pm",
         "in_basedir" : 0,
         "in_lib" : 0,
         "module" : "POE::SAPI::ConfigLoader"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "POE-SAPI-ConfigLoader-0.03.tar.gz",
   "prereq" : [],
   "released_epoch" : 1302765780,
   "size_packed" : 11706,
   "size_unpacked" : 38375,
   "uses" : {
      "used_in_code" : {
         "5.010001" : 2,
         "POE" : 2,
         "strict" : 2,
         "warnings" : 2
      },
      "used_in_config" : {
         "5.010001" : 1,
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_tests" : {
         "Test::More" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.03",
   "versions" : {
      "lib/POE/SAPI/ConfigLoader.pm" : {
         "POE::SAPI::ConfigLoader" : "0.03"
      }
   },
   "vname" : "POE-SAPI-ConfigLoader-0.03"
}